Cassandra.Processor.set_cql_version (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.thrift

## Class Cassandra.Processor.set_cql_version<I extends Cassandra.Iface>

- java.lang.Object
- - org.apache.thrift.ProcessFunction<I,Cassandra.set_cql_version_args>
  - - org.apache.cassandra.thrift.Cassandra.Processor.set_cql_version<I>

- Enclosing class:
    Cassandra.Processor<I extends Cassandra.Iface>

      public static class Cassandra.Processor.set_cql_version<I extends Cassandra.Iface>
      extends org.apache.thrift.ProcessFunction<I,Cassandra.set_cql_version_args>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `set_cql_version()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cassandra.set_cql_version_args` | `getEmptyArgsInstance()`
    `Cassandra.set_cql_version_result` | `getResult(I iface, Cassandra.set_cql_version_args args)`
    `protected boolean` | `isOneway()`

    - ### Methods inherited from class org.apache.thrift.ProcessFunction

      `getMethodName, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### set_cql_version

          public set_cql_version()

  - ### Method Detail

    - #### getEmptyArgsInstance

          public Cassandra.set_cql_version_args getEmptyArgsInstance()

      Specified by:
        `getEmptyArgsInstance` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.set_cql_version_args>`

    - #### isOneway

          protected boolean isOneway()

      Specified by:
        `isOneway` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.set_cql_version_args>`

    - #### getResult

          public Cassandra.set_cql_version_result getResult(I iface,
                                                            Cassandra.set_cql_version_args args)
                                                     throws org.apache.thrift.TException

      Specified by:
        `getResult` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.set_cql_version_args>`
      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation